Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/packhand.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
packhand.h File Reference
`#include "events.h"`
`#include "fc_types.h"`
`#include "map.h"`
`#include <packhand_gen.h>`

Go to the source code of this file.

## Functions

void | packhand_free (void)
void | notify_about_incoming_packet (struct connection *pc, int packet_type, int size)
void | notify_about_outgoing_packet (struct connection *pc, int packet_type, int size, int request_id)
void | set_reports_thaw_request (int request_id)
void | play_sound_for_event (enum event_type type)
void | target_government_init (void)
void | set_government_choice (struct government *government)
void | start_revolution (void)

## Function Documentation

## ◆ notify_about_incoming_packet()

void notify_about_incoming_packet | ( | struct connection * | pc,
|  | int | packet_type,
|  | int | size
| ) |  |

Notify interested parties about incoming packet.

Definition at line 5478 of file packhand.c.

Referenced by make_connection().

## ◆ notify_about_outgoing_packet()

void notify_about_outgoing_packet | ( | struct connection * | pc,
|  | int | packet_type,
|  | int | size,
|  | int | request_id
| ) |  |

Notify interested parties about outgoing packet.

Definition at line 5488 of file packhand.c.

Referenced by make_connection().

## ◆ packhand_free()

void packhand_free | ( | void |  | ) |

Called below, and by client/client_main.c client_game_free()

Definition at line 215 of file packhand.c.

Referenced by client_game_free(), client_game_reset(), and packhand_init().

## ◆ play_sound_for_event()

void play_sound_for_event | ( | enum event_type | type | ) |

Plays sound associated with event

Definition at line 1612 of file packhand.c.

Referenced by handle_event(), and handle_page_msg_part().

## ◆ set_government_choice()

void set_government_choice | ( | struct government * | government | ) |

Sets the target government. This will automatically start a revolution if the target government differs from the current one.

Definition at line 2503 of file packhand.c.

Referenced by government_dlg_callback(), revolution_response(), and revolution_response().

## ◆ set_reports_thaw_request()

void set_reports_thaw_request | ( | int | request_id | ) |

## ◆ start_revolution()

void start_revolution | ( | void |  | ) |

Begin a revolution by telling the server to start it. This also clears the current government choice.

Definition at line 2516 of file packhand.c.

Referenced by revolution_response(), and revolution_response().

## ◆ target_government_init()

void target_government_init | ( | void |  | ) |